> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.smoothiechart.md).

# SmoothieChart

Namespace: **Wisej.Web.Ext.SmoothieChart**

Assembly: **Wisej.Web.Ext.SmoothieChart** (3.2.0.0)

* [Control](https://docs.wisej.com/api?q=wisej.web.control)
  * [SmoothieChart](/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.smoothiechart.md)

Implements the SmoothieChart (<http://smoothiecharts.org/>). A JavaScript charting library for streaming data.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SmoothieChart : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SmoothieChart
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MirBsnmjWIxMsN8l0Ms)SmoothieChart()

constructor

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)BackColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the background color for the control. (Default: `Color [Black]`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)BorderStyle

[BorderStyle](https://docs.wisej.com/api?q=wisej.web.borderstyle): Indicates the border style for the control. (Default: `None`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)DataFrequency

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): DataFrequency in milliseconds. It is the interval between data requests. (Default: `500`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)FontSize

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the text color for the control. (Default: `10`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)ForeColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the text color for the control. (Default: `Color [White]`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)GidLineSize

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the size of the grid lines. (Default: `1`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)GridLineColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the color of the grid lines. (Default: `Color [White]`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Interpolation

[InterpolationType](/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.interpolationtype.md): Returns or sets the type of interpolation to use when drawing this time series. (Default: `Bezier`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)MaxValue

[Nullable\<Int32>](https://docs.microsoft.com/en-us/dotnet/api/system.nullable): Returns or sets the maximum value. Leave null to let the chart dynamically adjust the maximum value. (Default: `null`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)MinValue

[Nullable\<Int32>](https://docs.microsoft.com/en-us/dotnet/api/system.nullable): Returns or sets the minimum value. Leave null to let the chart dynamically adjust the minimum value. (Default: `null`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)ScrollSpeed

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): ScrollSpeed in milliseconds/pixel. (Default: `20`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)ShowMinMaxLabels

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the control displays the minimum and maximum labels. (Default: `True`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)ShowTimeStamps

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the control displays the time stamp labels. (Default: `True`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)TimeLineSpacing

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the distance between the vertical grid lines in milliseconds/line. (Default: `1000`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)TimeSeries

[TimeSeriesCollection](/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.timeseriescollection.md): Returns or sets the [TimeSeries](/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.timeseries.md) lines to display in the chart.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)UpdateDelay

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): UpdateDelay in milliseconds. It is the time lag between the data received from the server and the screen update. (Default: `1000`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)VerticalSections

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the number of vertical sections marked out by horizontal grid lines. (Default: `2`)

## Methods

### ![](/files/-MirBsnmjWIxMsN8l0Ms)GetData()

Returns the data requested by the widget.

**Returns:** [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Start()

Starts the data streaming.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Stop()

Stops the data streaming.

## Events

### ![](/files/-MirBsnmjWIxMsN8l0Ms)DataNeeded

[DataNeededEventHandler](https://docs.wisej.com/api?q=wisej.web.ext.smoothiechart.dataneededeventhandler) Fired when the chart needs a data point.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/smoothiechart/api/wisej.web.ext.smoothiechart.smoothiechart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
